cmdargs

System.Console.CmdArgs.Test.Implicit.Tests

# Documentation

data Test1

Constructors

Test1 |
Fields maybeInt :: Maybe Int listDouble :: [Double] maybeStr :: Maybe String float :: Float bool :: Bool maybeBool :: Maybe Bool listBool :: [Bool]

Instances

Eq Test1 |
Data Test1 |
Show Test1 |
Typeable Test1 |

data Test2

Constructors

Cmd1 |
Fields bs :: [String]
Cmd2 |
Fields bar :: Int

Instances

Eq Test2 |
Data Test2 |
Show Test2 |
Typeable Test2 |

data Test3

Constructors

Test3 |
Fields pos1_1 :: [Int] pos1_2 :: [String] pos1_rest :: [String]

Instances

Eq Test3 |
Data Test3 |
Show Test3 |
Typeable Test3 |

data Test4

Constructors

Test4 |
Fields test_4 :: [String]

Instances

Eq Test4 |
Data Test4 |
Show Test4 |
Typeable Test4 |

data ABC

Constructors

Abacus |
Arbitrary |
B |
C |

Instances

Eq ABC |
Data ABC |
Show ABC |
Typeable ABC |

data Test5

Constructors

Test5 |
Fields choice :: ABC

Instances

Eq Test5 |
Data Test5 |
Show Test5 |
Typeable Test5 |

data Test6

Constructors

Test6 |
Fields val1 :: (Int, Bool) val2 :: [(Int, (String, Double))]

Instances

Eq Test6 |
Data Test6 |
Show Test6 |
Typeable Test6 |

data Test7

Constructors

Test71 |
Fields shared :: Int
Test72 |
Fields unique :: Int shared :: Int
Test73 |
Fields unique :: Int shared :: Int

Instances

Eq Test7 |
Data Test7 |
Show Test7 |
Typeable Test7 |

data Test8

Constructors

Test8 |
Fields test8a :: Int test8b :: Int test8c :: Int
Test81 |
Test82 |

Instances

Eq Test8 |
Data Test8 |
Show Test8 |
Typeable Test8 |

data XYZ

Constructors

X |
Y |
Z |

Instances

Eq XYZ |
Data XYZ |
Show XYZ |
Typeable XYZ |

data Test9

Constructors

Test91 |
Fields foo :: XYZ
Test92 |
Fields foo :: XYZ

Instances

Eq Test9 |
Data Test9 |
Show Test9 |
Typeable Test9 |

data Test10

Constructors

Test101 |
Fields food :: Int
Test102 |
Fields food :: Int bard :: Int

Instances

Eq Test10 |
Data Test10 |
Show Test10 |
Typeable Test10 |

data Test11

Constructors

Test11A |
Fields test111 :: String
Test11B |
Fields test111 :: String

Instances

Eq Test11 |
Data Test11 |
Show Test11 |
Typeable Test11 |

data Test12

Constructors

Test12A |
Test12B |

Instances

Eq Test12 |
Data Test12 |
Show Test12 |
Typeable Test12 |

data Test13

Constructors

Test13A |
Fields foo13 :: Int bar13 :: Either Int Int
Test13B |
Fields foo13 :: Int
Test13C |
Fields foo13 :: Int

Instances

Eq Test13 |
Data Test13 |
Show Test13 |
Typeable Test13 |

data Test14

Constructors

Test14A |
Test14B |
Test14C |

Instances

Eq Test14 |
Data Test14 |
Show Test14 |
Typeable Test14 |

data Test15

Constructors

Test15 |
Fields test15a :: Bool

Instances

Eq Test15 |
Data Test15 |
Show Test15 |
Typeable Test15 |

newtype MyInt

Constructors

MyInt Int |

Instances

Eq MyInt |
Data MyInt |
Show MyInt |
Typeable MyInt |

data Test16

Constructors

Test16 |
Fields test16a :: MyInt test16b :: [MyInt]

Instances

Eq Test16 |
Data Test16 |
Show Test16 |
Typeable Test16 |